################################################################################
# Copyright (C) 2018-2019 GSI Helmholtzzentrum fuer Schwerionenforschung GmbH  #
#                                                                              #
#              This software is distributed under the terms of the             #
#              GNU Lesser General Public Licence (LGPL) version 3,             #
#                  copied verbatim in the file "LICENSE"                       #
################################################################################


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was FairLoggerConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/FairLogger-1.6.2" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

### General variables for project discovery/inspection
set(FairLogger_VERSION 1.6.2)
set(FairLogger_GIT_VERSION 1.6.2)
set(FairLogger_GIT_DATE Mon Jun 8 14:36:53 2020 +0000)

set_and_check(FairLogger_PREFIX ${PACKAGE_PREFIX_DIR})
set(FairLogger_BINDIR ${PACKAGE_PREFIX_DIR}/bin)
set(FairLogger_INCDIR /usr/include)
set(FairLogger_INCDIRS /usr/include)
set_and_check(FairLogger_LIBDIR ${PACKAGE_PREFIX_DIR}/lib64)

set(FairLogger_CXX_STANDARD_REQUIRED ON)
set(FairLogger_CXX_STANDARD 11)
set(FairLogger_CXX_EXTENSIONS OFF)
set(FairLogger_BUILD_TYPE Release)
set(FairLogger_BUILD_TYPE_UPPER RELEASE)
set(FairLogger_CXX_FLAGS -O2 -DNDEBUG)


####### Expanded from @PACKAGE_DEPENDENCIES@ by configure_package_config_file() #######

set(FairLogger_PACKAGE_DEPENDENCIES fmt)

set(FairLogger_fmt_VERSION 5.3.0)

#######################################################################################


### Import targets
include(${PACKAGE_PREFIX_DIR}/lib64/cmake/FairLogger-1.6.2/FairLoggerTargets.cmake)

check_required_components(FairLogger)
